Subject: Re: [Manycouches] IETF 113 (March 2022) venue update

From: Alexandre Petrescu <[email-masked]>
Date: Fri, 19 Nov 2021 11:28:54 +0100

Le 21/10/2021 à 23:58, Jay Daley a écrit :
> 
> 
>> On 21/10/2021, at 12:00 PM, Brian Campbell 
>> <bcampbell=[email-masked] 
>> <mailto:bcampbell=[email-masked]>> wrote:
>> 
>> Hi Jay,
>> 
>> Apologies but I'm going to take you up on the offer in the last 
>> part of your message. I'm attempting to coordinate work (this 
>> meeting) and family (kids' spring break) logistics, which is
>> always challenging and even more so now with the added uncertainty
>> of things these days. But I'm trying to nail down what info I can.
>> I know a full announcement is forthcoming later this year, but do
>> you know at this point if the dates of IETF 113 are going to stay
>> the same (19-25 March) or if that's likely to change?
> 
> They are not going to change.
> 
>> And is the location search focused on staying in Asia or is it 
>> expanding?
> 
> We have been unable to find a suitable venue in Asia for a set of 
> reasons including border controls, COVID rates and venue 
> availability, we have ruled out North America due to border controls 
> and are therefore solely focused on European venues.

There is a list of countries in the continent Europe that do not
currently apply any form of EU Cert or QR code, even though all might be
currently debating about it.

It is probably in one of these countries that the IETF March f2f plans
to happen.  There might be an advantage in that, in that that
organisaiton might help promote the use of EU Cert and QR codes in that
particular place and country.  The obvious inconvenient is in that it
would rather not help stop the propagation in the shorter term.

But still, March is so far away and so close at the same time.

In March, things might be like this:
- the current wave might be gone, so nobody will talk about covid during
   that low.
- the vaccination levels (2-dose) might go up to 80% in majority of
   places, but the 3-dose might be starting to happen.
   As such, In March we might be at a new situation we've never been yet:
   think we are protected because of 80% 2-dose, but be unprotected
   because of 15% 3rd dose.
   These 2-dose and 3-dose edges delimit a sliding window like in TCP.
- EU certs QR codes might be enforced in most places in Europe, and
   mostly as 'vaccination' passes that mandate vaccination and
   'convalescence' and PCR testing are not an option.
- new variants might not appear, or might appear.  Now we are in a happy
   situation where there is silence about new variants since many
   months.  The more time passes without hearing about varians, the
   better we go out of it.  One can only hope that this silence continues
   until March.
- in March 2022 we'll probably (my oppinion) be approximately in the
   middle of the covid crisis.  This is based on the comparison with the
   pandemic of year 1918 which lasted approx. 5 years.  There also
   comparisons that can be made in terms of fatalities.

Alex

> 
> Jay
> 
>> 
>> Thanks for any info you can share, Brian
>> 
>> 
>> On Mon, Sep 20, 2021, 7:07 PM IETF Executive Director 
>> <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> Following local advice regarding the situation with COVID, the
>> IETF Administration LLC has concluded that IETF 113 (19-25 March
>> 2022) cannot be held in Bangkok and must move to an alternative,
>> yet to be decided, venue.  The search for this alternative venue is
>> well underway with options being considered across all IETF
>> regions.  In anticipation of the COVID situation continuing to
>> restrict and reduce travel, we are looking at venues suitable for a
>> meeting with 50% the level of onsite participation as before. We
>> expect to announce the new venue late this year.
>> 
>> Please free to contact me directly if you have any questions or 
>> comments - [email-masked] <mailto:[email-masked]>,
>> 
>> -- Jay Daley IETF Executive Director [email-masked] 
>> <mailto:[email-masked]>
>> 
>> _______________________________________________ IETF-Announce 
>> mailing list [email-masked] <mailto:[email-masked]>
>>  https://www.ietf.org/mailman/listinfo/ietf-announce 
>> <https://www.ietf.org/mailman/listinfo/ietf-announce>
>> 
>> 
>> /CONFIDENTIALITY NOTICE: This email may contain confidential and 
>> privileged material for the sole use of the intended recipient(s). 
>> Any review, use, distribution or disclosure by others is strictly 
>> prohibited.  If you have received this communication in error, 
>> please notify the sender immediately by e-mail and delete the 
>> message and any file attachments from your computer. Thank 
>> you./_______________________________________________ Manycouches 
>> mailing list [email-masked] <mailto:[email-masked]> 
>> https://www.ietf.org/mailman/listinfo/manycouches
> 
> -- Jay Daley IETF Executive Director [email-masked] 
> <mailto:[email-masked]>
> 
> 
> _______________________________________________ Manycouches mailing 
> list [email-masked] 
> https://www.ietf.org/mailman/listinfo/manycouches
>

---

From: Alexandre Petrescu <[email-masked]>
Date: Fri, 19 Nov 2021 12:50:10 +0100

In case the IETF meeting is organised in March in the country where I 
live then there is a possibility for foreigners non-EU to get a 'pass 
sanitaire' EU Digical Covid cert QR code by going to the pharmacy and 
showing proof of vaccination.

It costs 36euros.

https://www.sante.fr/how-to-obtain-a-french-health-pass

'Pharmacy' means a place to buy medicines, like aspirin or common 'pain 
killer'.

These 'pharmacy' are not part of supermarkets like they are in North 
America or Japan, but they are individual small dedicated shops.

The slide says 'a compete schedule' but it means 'a complete' cycle. 
That means 2-dose.  In March that might mean 3-dose.

Even if one non-EU person has recovered from covid, or tested PCR, these 
two criteria does not currently apply for a non-EU person to get a QR 
code; that is currently a favor of locals only.

I wonder what is the situaiton with the other countries in Europe?  Do 
they offer a possibility for non-EU visitors to get these EU Digital Certs?

Alex

Le 19/11/2021 à 11:28, Alexandre Petrescu a écrit :
>>> Apologies but I'm going to take you up on the offer in the last part 
>>> of your message. I'm attempting to coordinate work (this meeting) and 
>>> family (kids' spring break) logistics, which is
>> reasons including border controls, COVID rates and venue availability, 
>> we have ruled out North America due to border controls and are 
>> therefore solely focused on European venues.
> 
>>> _______________________________________________ IETF-Announce mailing 
>>> list [email-masked] <mailto:[email-masked]>
>>> prohibited.  If you have received this communication in error, please 
>>> notify the sender immediately by e-mail and delete the message and 
>>> any file attachments from your computer. Thank 
> _______________________________________________
> Manycouches mailing list
> [email-masked]

---

From: John C Klensin <[email-masked]>
Date: Fri, 19 Nov 2021 09:43:23 -0500

Alex,

Useful information.  However, I notice from that page that there
are vaccines recognized by the EU (EMA) or France and ones that
are not.  Anything else, including a few WHO-recognized
vaccines, requires vaccination in France and then waiting at
least one week (presumably in some sort of quarantine, but the
page does not say) before they will issue the pass sanitaire.
The top of the page also lists a number of countries (in
addition to EU members) for which the procedure does not apply
but does not explain what people vaccinated in those places are
expected to do.

If I correctly understand our current criteria and unless things
change in between (and soon), that requirement for some
plausible attendees to be vaccinated in France and then wait for
at least a week should disqualify France as a possible venue for
a f2f meeting.

As various of us have been saying in different ways in the last
several weeks, a return to "regular" f2f meetings is not going
to be easy.

    john

--On Friday, November 19, 2021 12:50 +0100 Alexandre Petrescu
<[email-masked]> wrote:

> In case the IETF meeting is organised in March in the country
> where I live then there is a possibility for foreigners non-EU
> to get a 'pass sanitaire' EU Digical Covid cert QR code by
> going to the pharmacy and showing proof of vaccination.
> 
> It costs 36euros.
> 
> 'Pharmacy' means a place to buy medicines, like aspirin or
> common 'pain killer'.
> 
> These 'pharmacy' are not part of supermarkets like they are in
> North America or Japan, but they are individual small
> dedicated shops.
> 
> The slide says 'a compete schedule' but it means 'a complete'
> cycle. That means 2-dose.  In March that might mean 3-dose.
> 
> Even if one non-EU person has recovered from covid, or tested
> PCR, these two criteria does not currently apply for a non-EU
> person to get a QR code; that is currently a favor of locals
> only.
> 
> I wonder what is the situaiton with the other countries in
> Europe?  Do they offer a possibility for non-EU visitors to
> get these EU Digital Certs?
> 
> Alex
> 
>>>> Apologies but I'm going to take you up on the offer in the
>>>> last part  of your message. I'm attempting to coordinate
>>>> work (this meeting) and  family (kids' spring break)
>>>> logistics, which is
>>>> always challenging and even more so now with the added
>>>> uncertainty of things these days. But I'm trying to nail
>>>> down what info I can. I know a full announcement is
>>>> forthcoming later this year, but do you know at this point
>>>> if the dates of IETF 113 are going to stay the same (19-25
>>>> March) or if that's likely to change?
>>> 
>>>> And is the location search focused on staying in Asia or is
>>>> it  expanding?
>>> 
>>> We have been unable to find a suitable venue in Asia for a
>>> set of  reasons including border controls, COVID rates and
>>> venue availability,  we have ruled out North America due to
>>> border controls and are  therefore solely focused on
>>> European venues.
>> 
>> There is a list of countries in the continent Europe that do
>> not currently apply any form of EU Cert or QR code, even
>> though all might be currently debating about it.
>> 
>> It is probably in one of these countries that the IETF March
>> f2f plans to happen.  There might be an advantage in that,
>> in that that organisaiton might help promote the use of EU
>> Cert and QR codes in that particular place and country.  The
>> obvious inconvenient is in that it would rather not help stop
>> the propagation in the shorter term.
>> 
>> - the current wave might be gone, so nobody will talk about
>> covid during   that low.
>> - the vaccination levels (2-dose) might go up to 80% in
>> majority of   places, but the 3-dose might be starting to
>>  happen.   As such, In March we might be at a new situation
>>  we've never been yet:   think we are protected because of
>>  80% 2-dose, but be unprotected   because of 15% 3rd dose.
>>    These 2-dose and 3-dose edges delimit a sliding window
>>  like in TCP. - EU certs QR codes might be enforced in most
>> places in Europe, and   mostly as 'vaccination' passes that
>>  mandate vaccination and   'convalescence' and PCR testing
>>  are not an option. - new variants might not appear, or might
>> appear.  Now we are in a happy   situation where there is
>>  silence about new variants since many   months.  The more
>>  time passes without hearing about varians, the   better we
>>  go out of it.  One can only hope that this silence continues
>>    until March.
>> - in March 2022 we'll probably (my oppinion) be approximately
>> in the   middle of the covid crisis.  This is based on the
>>  comparison with the   pandemic of year 1918 which lasted
>>  approx. 5 years.  There also   comparisons that can be
>>  made in terms of fatalities.
>> 
>> Alex
>> 
>>> 
>>> Jay
>>> 
>>>> 
>>>> Following local advice regarding the situation with COVID,
>>>> the IETF Administration LLC has concluded that IETF 113
>>>> (19-25 March 2022) cannot be held in Bangkok and must move
>>>> to an alternative, yet to be decided, venue.  The search
>>>> for this alternative venue is well underway with options
>>>> being considered across all IETF regions.  In anticipation
>>>> of the COVID situation continuing to restrict and reduce
>>>> travel, we are looking at venues suitable for a meeting
>>>> with 50% the level of onsite participation as before. We
>>>> Please free to contact me directly if you have any
>>>> questions or  comments - [email-masked]
>>>> <mailto:[email-masked]>,
>>>> 
>>>> IETF-Announce mailing  list [email-masked]
>>>> <mailto:[email-masked]>
>>>> /CONFIDENTIALITY NOTICE: This email may contain
>>>> confidential and  privileged material for the sole use of
>>>> the intended recipient(s).  Any review, use, distribution
>>>> or disclosure by others is strictly  prohibited.  If you
>>>> have received this communication in error, please  notify
>>>> the sender immediately by e-mail and delete the message and 
>>>> you./_______________________________________________
>>>> Manycouches  mailing list [email-masked]
>>>> <mailto:[email-masked]> 
>>> _______________________________________________ Manycouches
>>> mailing  list [email-masked]

---

From: Vittorio Bertola <[email-masked]>
Date: Fri, 19 Nov 2021 16:41:44 +0100 (CET)

> Il 19/11/2021 15:43 John C Klensin <[email-masked]> ha scritto:
> 

You really have to assess this country by country, and case by case. First of all, there are two different sets of rules:
1. the rules for entering the country
2. the rules for getting a sanitary pass valid within the country.

As for #1, the four EMA-approved vaccines (Pfizer, Moderna, AstraZeneca and Janssen/J&J) are accepted by all EU/EEA states, but only about a half accepts other WHO-approved vaccines in addition. Otherwise, you are likely to be required to quarantine, though some countries accept a negative test instead.

As for #2, the sanitary pass generally follows EU "recommendations" and so you generally need an EMA-approved vaccine to get one. In Italy (not sure if this is EU-wide, the French page does not mention this) there are five countries whose vaccinations are considered safe enough in any case: UK, USA, Canada, Israel and Japan. If you have a sanitary pass from one of these countries, you can convert it into a EU pass through a procedure that, however, requires going through a public office and takes some time - it's meant for foreign students and workers, not for tourists. Otherwise, as Alexandre said, you are basically required to vaccinate again.

However, the point with #2 is that you may not need a vaccination-based sanitary pass, if you accept to be tested every 48/72 hours; that will give you a valid, temporary sanitary pass.

Unfortunately, as the pandemy is on the rise again, some countries (e.g. Germany) are eliminating that possibility and are increasingly only giving you the pass if you are "validly" vaccinated or have recovered from infection, at least for some of the purposes.

Anyway, depending on the country, #2 might not be a problem at all; different countries require the sanitary pass for different activities, ranging from Spain where the pass is not required even to enter restaurants and conferences, to Italy where the pass is required for working and if you don't have one you lose your job. Some countries have special additional requirements for specific activities. It depends.

Finally, of course all these rules constantly change. For example, the EU is now about to recommend that 2-dose vaccination passes expire after nine months and people will be required to get the third to continue to qualify as vaccinated.

Bottom line: first, assessing "Europe" is impossible and I would focus on assessing one or two candidate countries; second, if we want to have a hybrid meeting, we have to accept the risk that the restrictions may change at short notice and that people who would have been eligible for travelling and joining the meeting will not be able to do so any more (but also the opposite, luckily).

As an example: the U.N. IGF organizers (see https://www.gov.pl/web/igf2021-en/covid-info ) apparently obtained an exemption from quarantine for all participants, vaccinated or not (Poland only accepts EMA-approved vaccines even for #1). However, participants who are not vaccinated with an EMA-approved vaccine will have to be tested every 72 hours or they won't be allowed into the conference. This is a new requirement that was just announced four days ago, three weeks before the conference, and everyone is now re-evaluating their plans.

This is the current "new normal"...

-- 
Vittorio Bertola | Head of Policy & Innovation, Open-Xchange
[email-masked] 
Office @ Via Treviso 12, 10144 Torino, Italy

---

From: John C Klensin <[email-masked]>
Date: Fri, 19 Nov 2021 12:26:37 -0500

Vittorio,

Thanks for the additional information but I think we have heard
most of this before.  Alex mentioned the procedure in France.
As I understood his note, he was mentioning it as an example,
not something from which one could generalize (completely
consistent with your comments below).  That sounded
straightforward.  I got curious and checked the web site and it
is not quite that straightforward... which was more or less my
point.   In addition, as you point out, one first has to get
into the country before one can approach any pharmacies and
(again depending on the country), that might involve a different
set of rules.

Something else we cannot predict is the effect of the waivers
for the IGF.  If it is held, and lots of people show up in
person, and it turns into a superspreader event, I'd expect that
not only would many governments become hyper-careful but so
would any companies thinking about whether their employees or
others whom they are sponsoring should be attending such
meetings.

To me -- just personal opinion but I suspect we are largely in
agreement-- we have infections on the rise in many places,
uncertainty about how many injections should count as "fully
vaccinated", different rules (at least about the details) in
almost all countries, and the willingness of countries to change
their rules on very short notice if they determine there is a
public health crisis or unacceptable risk of one.  While some
guesses are possible, knowing reliably today, or even six weeks
from now, what the situation will be in a given country in the
third week of March is going to be more of the job of a
soothsayer than of scientific analysis.  I haven't seen the LLC
put out an RFP for a soothsayer with a really good track record
yet and that does not make me optimistic about a March f2f (or
even hybrid with significant diversity among those who attend in
person) meeting.

Just my opinion, of course.
    john

--On Friday, November 19, 2021 16:41 +0100 Vittorio Bertola
<[email-masked]> wrote:

>> If I correctly understand our current criteria and unless
>> things change in between (and soon), that requirement for some
>> plausible attendees to be vaccinated in France and then wait
>> for at least a week should disqualify France as a possible
>> venue for a f2f meeting.
> 
> You really have to assess this country by country, and case by
> case. First of all, there are two different sets of rules: 1.
> the rules for entering the country
> As for #1, the four EMA-approved vaccines (Pfizer, Moderna,
> AstraZeneca and Janssen/J&J) are accepted by all EU/EEA
> states, but only about a half accepts other WHO-approved
> vaccines in addition. Otherwise, you are likely to be required
> to quarantine, though some countries accept a negative test
> instead.
> 
> As for #2, the sanitary pass generally follows EU
> "recommendations" and so you generally need an EMA-approved
> vaccine to get one. In Italy (not sure if this is EU-wide, the
> French page does not mention this) there are five countries
> whose vaccinations are considered safe enough in any case: UK,
> USA, Canada, Israel and Japan. If you have a sanitary pass
> from one of these countries, you can convert it into a EU pass
> through a procedure that, however, requires going through a
> public office and takes some time - it's meant for foreign
> students and workers, not for tourists. Otherwise, as
> Alexandre said, you are basically required to vaccinate again.
> 
> However, the point with #2 is that you may not need a
> vaccination-based sanitary pass, if you accept to be tested
> every 48/72 hours; that will give you a valid, temporary
> sanitary pass.
> 
> Unfortunately, as the pandemy is on the rise again, some
> countries (e.g. Germany) are eliminating that possibility and
> are increasingly only giving you the pass if you are "validly"
> vaccinated or have recovered from infection, at least for some
> of the purposes.
> 
> Anyway, depending on the country, #2 might not be a problem at
> all; different countries require the sanitary pass for
> different activities, ranging from Spain where the pass is not
> required even to enter restaurants and conferences, to Italy
> where the pass is required for working and if you don't have
> one you lose your job. Some countries have special additional
> requirements for specific activities. It depends.
> 
> Finally, of course all these rules constantly change. For
> example, the EU is now about to recommend that 2-dose
> vaccination passes expire after nine months and people will be
> required to get the third to continue to qualify as vaccinated.
> 
> Bottom line: first, assessing "Europe" is impossible and I
> would focus on assessing one or two candidate countries;
> second, if we want to have a hybrid meeting, we have to accept
> the risk that the restrictions may change at short notice and
> that people who would have been eligible for travelling and
> joining the meeting will not be able to do so any more (but
> also the opposite, luckily).
> 
> As an example: the U.N. IGF organizers (see
> https://www.gov.pl/web/igf2021-en/covid-info ) apparently
> obtained an exemption from quarantine for all participants,
> vaccinated or not (Poland only accepts EMA-approved vaccines
> even for #1). However, participants who are not vaccinated
> with an EMA-approved vaccine will have to be tested every 72
> hours or they won't be allowed into the conference. This is a
> new requirement that was just announced four days ago, three
> weeks before the conference, and everyone is now re-evaluating
> their plans.
>

---

From: Alexandre Petrescu <[email-masked]>
Date: Fri, 19 Nov 2021 19:56:55 +0100

Le 19/11/2021 à 15:43, John C Klensin a écrit :
> Alex,
> 
> Useful information.  However, I notice from that page that there are 
> vaccines recognized by the EU (EMA) or France and ones that are not.

Yes.

> Anything else, including a few WHO-recognized vaccines, requires 
> vaccination in France and then waiting at least one week (presumably
>  in some sort of quarantine, but the page does not say)

Yes.

Personally I doubt there would be many people ready to 'convert' from
their home vaccine to another country's vaccine just for the sake of a
travel.  Travelling usually involves coming back home, but injecting
chemicals has no counterpart such as un-injecting these chemicals.

> before they will issue the pass sanitaire. The top of the page also 
> lists a number of countries (in addition to EU members) for which the
> procedure does not apply but does not explain what people vaccinated
> in those places are expected to do.
> 
> change in between (and soon), that requirement for some plausible 
> attendees to be vaccinated in France and then wait for at least a 
> week should disqualify France as a possible venue for a f2f meeting.
> 
> several weeks, a return to "regular" f2f meetings is not going to be 
> easy.

I tend to agree.

Things are changing way too fast these days in Europe with respect to
covid in order to plan meaningfully something for March.

Alex

>> where I live then there is a possibility for foreigners non-EU to
>> get a 'pass sanitaire' EU Digical Covid cert QR code by going to
>> the pharmacy and showing proof of vaccination.
>> 
>> It costs 36euros.
>> 
>> 'Pharmacy' means a place to buy medicines, like aspirin or common 
>> 'pain killer'.
>> 
>> North America or Japan, but they are individual small dedicated 
>> shops.
>> 
>> Even if one non-EU person has recovered from covid, or tested PCR, 
>> these two criteria does not currently apply for a non-EU person to 
>> get a QR code; that is currently a favor of locals only.
>> 
>> I wonder what is the situaiton with the other countries in Europe? 
>> Do they offer a possibility for non-EU visitors to get these EU 
>> Digital Certs?
>> 
>> Alex
>> 
>>>>> logistics, which is always challenging and even more so now
>>>>> with the added uncertainty of things these days. But I'm
>>>>> trying to nail down what info I can. I know a full
>>>>> announcement is forthcoming later this year, but do you know
>>>>> at this point if the dates of IETF 113 are going to stay the
>>>>> same (19-25 March) or if that's likely to change?
>>>> 
>>>> We have been unable to find a suitable venue in Asia for a set 
>>>> of  reasons including border controls, COVID rates and venue 
>>>> availability,  we have ruled out North America due to border 
>>>> controls and are  therefore solely focused on European venues.
>>> 
>>> currently apply any form of EU Cert or QR code, even though all 
>>> might be currently debating about it.
>>> 
>>> It is probably in one of these countries that the IETF March f2f 
>>> plans to happen.  There might be an advantage in that, in that 
>>> that organisaiton might help promote the use of EU Cert and QR 
>>> codes in that particular place and country.  The obvious 
>>> inconvenient is in that it would rather not help stop the 
>>> propagation in the shorter term.
>>> 
>>> In March, things might be like this: - the current wave might be 
>>> gone, so nobody will talk about covid during   that low. - the 
>>> vaccination levels (2-dose) might go up to 80% in majority of 
>>> places, but the 3-dose might be starting to happen.   As such,
>>> In March we might be at a new situation we've never been yet:
>>>  because of 15% 3rd dose. These 2-dose and 3-dose edges delimit
>>> a sliding window like in TCP. - EU certs QR codes might be 
>>> enforced in most places in Europe, and   mostly as 'vaccination'
>>>  passes that mandate vaccination and   'convalescence' and PCR 
>>> testing are not an option. - new variants might not appear, or 
>>> might appear.  Now we are in a happy   situation where there is 
>>> silence about new variants since many   months.  The more time 
>>> passes without hearing about varians, the   better we go out of 
>>> it.  One can only hope that this silence continues until March. -
>>> in March 2022 we'll probably (my oppinion) be approximately in 
>>> the middle of the covid crisis.  This is based on the comparison
>>>  with the   pandemic of year 1918 which lasted approx. 5 years. 
>>> There also   comparisons that can be made in terms of 
>>> fatalities.
>>> 
>>> Alex
>>> 
>>>> 
>>>> Jay
>>>> 
>>>>> 
>>>>> to an alternative, yet to be decided, venue.  The search for
>>>>>  this alternative venue is well underway with options being 
>>>>> considered across all IETF regions.  In anticipation of the 
>>>>> COVID situation continuing to restrict and reduce travel, we 
>>>>> are looking at venues suitable for a meeting with 50% the 
>>>>> level of onsite participation as before. We expect to 
>>>>> announce the new venue late this year.
>>>>> 
>>>>> Please free to contact me directly if you have any questions 
>>>>> or  comments - [email-masked] 
>>>>> /CONFIDENTIALITY NOTICE: This email may contain confidential 
>>>>> and  privileged material for the sole use of the intended 
>>>>> recipient(s).  Any review, use, distribution or disclosure
>>>>> by others is strictly  prohibited.  If you have received
>>>>> this communication in error, please  notify the sender
>>>>> immediately by e-mail and delete the message and any file
>>>>> attachments from your computer. Thank 
|

---

From: Alexandre Petrescu <[email-masked]>
Date: Fri, 19 Nov 2021 20:09:13 +0100

Le 19/11/2021 à 16:41, Vittorio Bertola a écrit :
> You really have to assess this country by country, and case by case. 
> First of all, there are two different sets of rules: 1. the rules
> for entering the country 2. the rules for getting a sanitary pass
> valid within the country.
> 
> AstraZeneca and Janssen/J&J) are accepted by all EU/EEA states, but 
> only about a half accepts other WHO-approved vaccines in addition. 
> Otherwise, you are likely to be required to quarantine, though some 
> countries accept a negative test instead.
> 
> As for #2, the sanitary pass generally follows EU "recommendations" 
> and so you generally need an EMA-approved vaccine to get one. In 
> Italy (not sure if this is EU-wide, the French page does not mention 
> this) there are five countries whose vaccinations are considered
> safe enough in any case: UK, USA, Canada, Israel and Japan. If you
> have a sanitary pass from one of these countries, you can convert it
> into a EU pass through a procedure that, however, requires going
> through a public office and takes some time - it's meant for foreign
> students and workers, not for tourists. Otherwise, as Alexandre said,
> you are basically required to vaccinate again.
> 
> vaccination-based sanitary pass, if you accept to be tested every 
> 48/72 hours; that will give you a valid, temporary sanitary pass.

I think that is about to change.  More and more I hear moving towards
'vaccination passes' rather than 'sanitary passes'.  These 'vaccination
passes' would be new QR codes that would be like the paper cards in USA
telling that one is vaccinated; there seems to be driving away from
valid QR codes based on PCR/antigen testing or 'convalescent'.

> Unfortunately, as the pandemy is on the rise again, some countries 
> (e.g. Germany) are eliminating that possibility and are increasingly 
> only giving you the pass if you are "validly" vaccinated or have 
> recovered from infection, at least for some of the purposes.

YEs, Germany and other countries.

> Anyway, depending on the country, #2 might not be a problem at all; 
> different countries require the sanitary pass for different 
> activities, ranging from Spain where the pass is not required even

YEs, true.  That's why I think that Jay thought maybe about Spain when 
he said that Europe might welcome the MArch f2f.  I am not sure whether 
Jay knew that Spain had no sanitary pass and that Spain seems to be 
talking about making sanitary passes these days too.

> to enter restaurants and conferences, to Italy where the pass is 
> required for working and if you don't have one you lose your job. 
> Some countries have special additional requirements for specific 
> activities. It depends.

Yes, I agree.

> Finally, of course all these rules constantly change. For example, 
> the EU is now about to recommend that 2-dose vaccination passes 
> expire after nine months and people will be required to get the
> third to continue to qualify as vaccinated.

This evening I just learned that me in my category age (over 40) am now 
required to make the 3rd dose.  Until this evening that 3rd dose was 
mandatory only for the 65s and over.

Also this evening I hear that in USA the 3rd dose is for all adults.

It's constantly changing.

> Bottom line: first, assessing "Europe" is impossible and I would 
> focus on assessing one or two candidate countries; second, if we
> want to have a hybrid meeting, we have to accept the risk that the 
> restrictions may change at short notice and that people who would 
> have been eligible for travelling and joining the meeting will not
> be able to do so any more (but also the opposite, luckily).
> 
> https://www.gov.pl/web/igf2021-en/covid-info ) apparently obtained
> an exemption from quarantine for all participants, vaccinated or not 
> (Poland only accepts EMA-approved vaccines even for #1). However, 
> participants who are not vaccinated with an EMA-approved vaccine
> will have to be tested every 72 hours or they won't be allowed into
> the conference. This is a new requirement that was just announced
> four days ago, three weeks before the conference, and everyone is
> now re-evaluating their plans.
> 

If only something could stop the spread...

Alex

---

From: Alexandre Petrescu <[email-masked]>
Date: Fri, 19 Nov 2021 20:18:43 +0100

IMHO...

Le 19/11/2021 à 18:26, John C Klensin a écrit :
> Vittorio,
> 
> Thanks for the additional information but I think we have heard most 
> of this before.  Alex mentioned the procedure in France. As I 
> understood his note, he was mentioning it as an example, not 
> something from which one could generalize (completely consistent
> with your comments below).  That sounded straightforward.  I got
> curious and checked the web site and it is not quite that
> straightforward... which was more or less my point.   In addition, as
> you point out, one first has to get into the country before one can
> approach any pharmacies and (again depending on the country), that
> might involve a different set of rules.
> 
> Something else we cannot predict is the effect of the waivers for
> the IGF.

What I would like to require to IGF is to publicize the number of
positive PCR tests during and after the event, if they test.

Just like the linux Summit did, and like the Summer Olympics did.

> If it is held, and lots of people show up in person, and it turns 
> into a superspreader event, I'd expect that not only would many 
> governments become hyper-careful but so would any companies thinking 
> about whether their employees or others whom they are sponsoring 
> should be attending such meetings.
> 
> vaccinated", different rules (at least about the details) in almost 
> all countries, and the willingness of countries to change their
> rules on very short notice if they determine there is a public
> health crisis or unacceptable risk of one.  While some guesses are
> possible, knowing reliably today, or even six weeks from now, what
> the situation will be in a given country in the third week of March
> is going to be more of the job of a soothsayer than of scientific 
> analysis.  I haven't seen the LLC put out an RFP for a soothsayer 
> with a really good track record yet and that does not make me 
> optimistic about a March f2f (or even hybrid with significant 
> diversity among those who attend in person) meeting.

My discussion with Mirja convinced me that IESG decides whatever they
feel best about this.  My oppinion is that it is good in a way, and
potentially bad in another way.

But also I know I am biased.

It is not via a survey that it should be found out whether or not an
in-person 500person meeting should be held in March in Europe.

It is not via an obscure decision in a small committee that that should
be decided.

A WG document with a LC might last 3 years, well after March 2022.

Maybe the IESG has in  mind another plan for March, that could be
smarter, and that we'll learn and we'll be persuaded when it comes out.
  I dont know.

Maybe there could be a plan in which a decision is made to cancel all
meetings but with a commitment to come up in 3 years time with a
consensed algorithm of organising meetings.

Maybe there could be another plan.

Alex

> 
> Just my opinion, of course. john
> 
> 
> 
> 
>> case. First of all, there are two different sets of rules: 1. the 
>> rules for entering the country 2. the rules for getting a sanitary 
>> pass valid within the country.
>> 
>> AstraZeneca and Janssen/J&J) are accepted by all EU/EEA states,
>> but only about a half accepts other WHO-approved vaccines in
>> addition. Otherwise, you are likely to be required to quarantine,
>> though some countries accept a negative test instead.
>> 
>> "recommendations" and so you generally need an EMA-approved vaccine
>> to get one. In Italy (not sure if this is EU-wide, the French page
>> does not mention this) there are five countries whose vaccinations
>> are considered safe enough in any case: UK, USA, Canada, Israel
>> and Japan. If you have a sanitary pass from one of these countries,
>> you can convert it into a EU pass through a procedure that,
>> however, requires going through a public office and takes some time
>> - it's meant for foreign students and workers, not for tourists. 
>> Otherwise, as Alexandre said, you are basically required to 
>> vaccinate again.
>> 
>> (e.g. Germany) are eliminating that possibility and are 
>> increasingly only giving you the pass if you are "validly" 
>> vaccinated or have recovered from infection, at least for some of 
>> the purposes.
>> 
>> all; different countries require the sanitary pass for different 
>> an exemption from quarantine for all participants, vaccinated or 
>> not (Poland only accepts EMA-approved vaccines even for #1). 
>> However, participants who are not vaccinated with an EMA-approved 
>> vaccine will have to be tested every 72 hours or they won't be 
>> allowed into the conference. This is a new requirement that was 
>> just announced four days ago, three weeks before the conference, 
>> and everyone is now re-evaluating their plans.
>>

---

From: Alexandre Petrescu <[email-masked]>
Date: Fri, 19 Nov 2021 20:45:11 +0100

[...]
> I would focus on assessing one or two candidate countries;

I think that makes sense.

These things are waves, like a succession of Gaussian bells.  Given a
particular country, we know the precise shape of recent waves.  The
shape of these waves can be tried to be understood such as to forecast
the next peak, and thus the next low.  (an 'interpolation').

Ideally one would hold an in-person meeting in that low.

But also it is known that high level decisions change this.

For example, if a lockdown is decided in a country then we know that at
exit time there are several weeks time in which virus circulation is
almost absent - almost all viruses are at hospital; so that would be the
moment where an in-person meeting should be held; and that selection
should prime over the simulation that forecasts the next low based on
earlier waves.

For example, we know now that Austria goes now in lockdown for all.
Probably they announced an exit time (Dec. 13th or so). At that exit
time is the best to meet - Dec. 13th.

With this kind of algorithmics in mind one could also analyze existing
decisions.  For example what does IGF in December in Poland mean?  Is
Poland on an abrupt rise more than any of their preceding wave?   Will
that rise still be rising in December, levelling or lowering?  Or is it 
a bet?

Alex

> second, if we want to have a hybrid meeting, we have to accept the
> risk that the restrictions may change at short notice and that people
> who would have been eligible for travelling and joining the meeting
> will not be able to do so any more (but also the opposite, luckily).
> 
> https://www.gov.pl/web/igf2021-en/covid-info ) apparently obtained an
> exemption from quarantine for all participants, vaccinated or not 
> participants who are not vaccinated with an EMA-approved vaccine will
> have to be tested every 72 hours or they won't be allowed into the
> conference. This is a new requirement that was just announced four
> days ago, three weeks before the conference, and everyone is now
> re-evaluating their plans.
>

---

From: Fred Baker <[email-masked]>
Date: Fri, 19 Nov 2021 12:05:14 -0800

This may be something already answered; if so, I apologize. I have a QR code from the state of California saying I have been immunized twice; I can get a third dose and a QR code for same. Are such QR codes accepted in Europe, or alternatively is there a way to get the needed European certification upon by showing that?

I’m thinking right now that I should put off getting the booster until the expiration date, whatever it is, is prior to the date I will need for it to be valid. I got the first two doses on the assumption that someone would care, and countries like Austria are already starting to disregard them as “too old”. It all seems a little pointless…

---

From: Fred Baker <[email-masked]>
Date: Fri, 19 Nov 2021 12:09:13 -0800

I also wonder whether there will be a pharmacy I can visit before a government official, such as border police, needs to see it. It seems to me that you have to be in the country to go to a pharmacy…

Sent using a machine that autocorrects in interesting ways...

> On Nov 19, 2021, at 7:42 AM, Vittorio Bertola <vittorio.bertola=[email-masked]> wrote:
> 
> 
>

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 20 Nov 2021 10:07:56 +1300

Fred,

Somebody should define an international standard but they haven't, so it is a complete dog's breakfast (apologies to all dogs, because none of this is their fault). For example, the NZ international COVID vaxx pass, available since a couple of days ago, is somewhat compatible with the EU pass (a few of us have been yelling at the Ministry of Health about that for 
a few months, and it seems they listened) but that doesn't mean it's automatically accepted at French venues, because it's signed by the NZ government not an EU government, and I doubt if it's worth the paper it isn't printed on in the USA, although it might get you on a plane *to* the USA. Of course, over time, validation apps outside NZ may come to know the appropriate public key, but that's only part of the problem anyway.

Until the WHO steps up to the mark and defines a global standard, I wouldn't bet on *any* form of COVID pass being accepted at an arbitrary venue. 
There may be exceptions, as Vittorio described, but the general case is "no".

For the next year or two, I think there's a clear choice between 100% on-line meetings and hybrid meetings; there is no third choice.

Regards
    Brian

On 20-Nov-21 09:05, Fred Baker wrote:
> This may be something already answered; if so, I apologize. I have a QR 
code from the state of California saying I have been immunized twice; I can get a third dose and a QR code for same. Are such QR codes accepted in 
Europe, or alternatively is there a way to get the needed European certification upon by showing that?
> 
> I’m thinking right now that I should put off getting the booster until the expiration date, whatever it is, is prior to the date I will need for it to be valid. I got the first two doses on the assumption that 
someone would care, and countries like Austria are already starting to disregard them as “too old”. It all seems a little pointless…

---

From: Toerless Eckert <[email-masked]>
Date: Fri, 19 Nov 2021 23:04:47 +0100

On Fri, Nov 19, 2021 at 12:05:14PM -0800, Fred Baker wrote:
>thinkh This may be something already answered; if so, I apologize. I have a QR code from the state of California saying I have been immunized twice; I can get a third dose and a QR code for same. Are such QR codes accepted in Europe, or alternatively is there a way to get the needed European certification upon by showing that?

IETF colleage got his germany QR code by showing his california
CDC card in a pharmacy in germany. I have not found any rueles
that state whether or not the is currect. Given how all those
"original" non-digital vaccination cards are not meant to be
fraud resistant. So i would assume pharmacists will apply a
good degree of ad-hoc profiling when the hand out the
countries digital certificate to travellers.

I guess you are thinking about getting the countries digital
certificate at that international pharmacy ? Thats certainly
an interesting option to explore.  In frankfurt, there is
a pharmacy in the security area Z. Try to give them a call
during their opening hours and tell us what they say!

https://metropolitan-pharmacy.com/frankfurt/?lang=en

(or else find it for Heathorw i guesss.)

Cheers
    Toerless

-- 
---
[email-masked]

---

From: John C Klensin <[email-masked]>
Date: Fri, 19 Nov 2021 20:01:51 -0500

--On Friday, November 19, 2021 20:45 +0100 Alexandre Petrescu
<[email-masked]> wrote:

> These things are waves, like a succession of Gaussian bells.
> Given a particular country, we know the precise shape of
> recent waves. The shape of these waves can be tried to be
> understood such as to forecast the next peak, and thus the
> next low.  (an 'interpolation').
>...

I think this is all wild, and ultimately almost useless.

Suppose we decided to hold the meeting in, because you made it
an example with first recent posting, France.  Contracts are
signed, people plead with their organizations for permission to
go or buy non-refundable (except maybe in case of government
action... or maybe not) tickets.   Everything is in place on
January 20th, two months before the start of IETF 112 (some days
less before the hackathon.  Now, although I certainly hope it
does not happen, starting around 7 February, there is an
outbreak in France, or in the part of France where the meeting
is expected to be held, statistically proportionate to the one
in Austria.  Being sensible, epidemiologists and the French
government decide to wait a few weeks to see what happens,
running a vaccination campaign and encouraging masks and social
distancing a bit more than before.  Three weeks or so later
(assume on 28 February for this example), they look at the
statistics and patterns, put the city where we plan to meet on
lockdown _and_ apply new rules at border crossings which require
vaccinations with approved vaccines and boosters at least two
weeks before arrival. 

Now, for those people who plan to arrive for the Hackathon
around March 14, that means they would have had to be fully
vaccinated, with a France/EU fully approved vaccine, by 21
February.  Anyone who decided to delay until they find out what
the rules are going to be just lost and can't come unless France
decides to offer a "or test before arrival and frequently
thereafter" option (no predicting that either).   And at least
some of the companies who were only mildly uncomfortable with
employee travel to France in January freak out and ban travel to
France (or a larger area). 

Even if France or the relevant city does not make us do so, we
then either cancel the f2f meeting on _very_ short notice or we
end up with a meeting whose attendees are almost entirely from
within Europe (and that assumes few, if any, countries close
their borders from France -- something that could occur on
equally short notice as changes in vaccine rules).

I agree with Vittorio that looking at a few countries is more
sensible than making continent-wide or global assumptions.  But
the scenario above could play out almost anywhere, or at least
anywhere that was sensible enough about how to protect people
from the pandemic that it would be wise for us to even consider
going there.  That leaves me feeling that, as interesting as it
may been to follow developments in infection patterns,
vaccination and treatment regimes, and assorted government and
industry policies (I do that too), the question that is most
important is whether or not things are stable enough that we can
reasonably predict what will be going on well enough and early
enough to schedule a meeting.  In early to mid Northern
Hemisphere summer, it felt to me as if we are getting there and
might reasonably be able to make such decisions for March by
now.  Now, with rapid increases in infection rates in some
places, a resurgence of lockdowns being imposed on fairly short
notice (Austria is not the only place), and renewed uncertainty
about how vaccinated one needs to be (and with what) to count as
fully vaccinated, I don't see how it would be possible to make a
decision to hold an in person meeting without a great deal of
risk of either (i) having to reverse the decision (or having it
reversed for us) on very short notice or (ii) of having to hold
a meeting with sufficiently low and broad attendance to cause
both significant financial damage and problems for our process
of doing and evaluating work.

  best,
  john

---

From: "John Levine" <[email-masked]>
Date: 19 Nov 2021 21:05:48 -0500

It appears that Fred Baker  <[email-masked]> said:
>This may be something already answered; if so, I apologize. I have a QR code from the state of California saying I have been immunized
>twice; I can get a third dose and a QR code for same. Are such QR codes accepted in Europe, or alternatively is there a way to get the
>needed European certification upon by showing that?

The answer is ... It Depends(tm).

If the country in question is France, they have an app that uses the EU pass.  You can get a pass
at a pharmacy in France after arrival by showing your passport and your paper (not QR) vaccination record:

https://www.sante.fr/obtenir-un-passe-sanitaire-en-cas-de-vaccination-letranger

If you arrive at CDG, there are two pharmacies at the airport that can do it.  For us old folks, a booster
is recommended but not required.

R's,
John

---

From: Olivier MJ Crépin-Leblond <[email-masked]>
Date: Sat, 20 Nov 2021 10:43:03 +0100

What John is saying is absolutely correct. I have had several US friends 
come into France telling me exactly this. They downloaded the French App 
which worked in English and they then scanned the QR code they obtained 
at the pharmacy and that was it. And this was then valid Europe-wide.

I have had a French QR code as I was vaccinated in France and it works 
across all of Europe but also in some countries that have aligned 
themselves with the format/database, like Switzerland, Turkey, Morocco, 
Tunisia. I have personally tested this in Switzerland and Turkey.

There are however two complications:

1. the recommendations for a third dose is changing the goalposts; in 
France there is now an announcement that past a certain date you'll lose 
the pass unless you receive a third dose. So it looks like there will be 
a time factor involved with each QR code.

2. rules change on a weekly basis. So what's in effect today might not 
be what's happening next week. As I travel extensively for work, I must 
admit that this uncertainty is what is most stressful - because plans 
might need to change at any point and getting flight & hotel 
reservations cancelled/amended is time consuming and sometimes a 
struggle as airlines and hotel groups tell you there is no complete 
lockdown so you end up at a loss... You'd think they are flexible, but 
they are not, unless you pay higher fares to start with.

When it comes to vaccines that are not recognised widely in the European 
Union, the Russian Sputnik V is not accepted by France. As vaccine 
paperwork / QR codes are controlled immediately exiting the airbridge 
from the aircraft, before  going through passport control, I was 
queueing immediately behind a Russian lady with a Sputnik vaccine paper. 
She also had a negative COVID test. She was told this was not valid and 
needed to step aside to be subjected to another immediate test. I 
believe she would be let through after this test proved negative and 
this would also afford her a temporary vaccine passport, but as 
mentioned elsewhere, this would need to be repeated every 72H to keep 
the passport active. And that, again, might change...

I hope this helps,

Olivier

On 20/11/2021 03:05, John Levine wrote:
> It appears that Fred Baker<[email-masked]>  said:

---

From: Alexandre Petrescu <[email-masked]>
Date: Sat, 20 Nov 2021 12:49:19 +0100

Le 19/11/2021 à 21:05, Fred Baker a écrit :
> This may be something already answered; if so, I apologize. I have a
>  QR code from the state of California saying I have been immunized 
> twice;

As far as I understand, as I watch remotely USA, and I was told there
are several states with various implementations of covid measures -
there seems to be a need of a 3rd dose since yesterday, for all adults
in USA.

> I can get a third dose and a QR code for same.

Do you keep the same QR code after the 3rd dose or do you obtain a new
QR code?

> Are such QR codes accepted in Europe,

It depends what one means by the question.

California QR codes accepted in EU? One can try to scan the California
QR code with the European Eric URL https://ehealth.vyncke.org/index.php
This is our AD so we should trust it.  At this time it does only
European format.  That is the same format and algorithmics that the
official verifier apps in Europe use.  I can say it is the format in
July.  These days they talk about a new format to take into account the
new 3-dose format, a format which is not yet out.

This trying to scan can only be done by the IETFer who is owner of that
California QR code and only at Eric URL, because we have a trust
relationship at IETF with AD.  For example, I would not advise a
non-IETFer Californian to scan their QR codes with the French smartphone
app called a full 'TousAntiCovid Verif', because that is what the app
wants: that app should only used by the trusted verifiers.  In practice,
an overload of servers can happen if too many people from everywhere
scan at the same time something.  It is the same fear that many QR code
implementers enforce, in USA too.

I suspect, but I never tried, that the Eric URL does not scan the
California QR code.  It means it might decode it, but show something
scrambled like '&('"t' instead of a clear text 'Pfizer'.  Or it might
simply say 'Syntax Error'.  Only you can find that out.

California QR codes accepted in EU?  In terms of Computer Science
security, I am sure that the Eric URL will not validate the California
QR code because the Eric URL does not have CA certs (Cert. Auth. certs)
in it anyways, because it has no authority from countries in Europe.
Even if it had them, I suspect it will not validate the security of
California QR code because it has no CA of California in it, for sure.
That is the fundamental PKI problem in these covid certs: they dont rely
on Internet PKI.  A better way would have been to use the CAs present in
all web browsers - if so, there would be no security validation problem
between countries' certs accross continents, just like a Tanzanien can
securely by on Amazon in USA relying on these CA certs present in all
browsers.

California QR codes accepted in EU?  In terms of COVID validation (a
different thing that the Computer Science validation), there are
differences between what it means to be 'validated' in US and in EU, at
this time.  In US, in some states, being 'validated' means to have
2-doses of vaccine, whereas in some countries in Europe, at this time,
being validated means to either 2-dose vaccine, or
'convalescent'/recovered, or PCR negative.  However, this last 3-option
specificity in Europe is about to change, at the same time as we might
see a change from 2-does to 3-dose.  It might be that soon in Europe
beig validated it might mean only vaccination, and only 3-dose.  And
that for a while, until a 4th dose will be needed in maybe 6 or 8 months
time.  Specialists say that the growth of protection between doses might
be exponential (1-2 dose distance is 2 weeks, 2-3 dose distance is 6
months and then maybe 8 month to a year until a 4th dose - we'll learn
that precisely soon, probably form Israel or from England).

California QR codes accepted in EU? YEs by going to the pharmacy in
certain countries in Europe (Germay, France, others) and showing a
proof, like that that California QR code - they will generate an EU QR
code for the person.  However, a few things are not clear.  I have not
tried it myself, and other messages on this list show others tried it.
For example, it is not clear whether the pharmacy reads the California
QR code (scans, decode) or human eyes of pharmacist read a paper proof
of vaccination ilke the USA vaccination cards.  I would be surprised if
they read and scanned the California QR code

> or alternatively is there a way to get the needed European 
> certification upon by showing that?

I guess yes.  But let me ask: do you have a Californnia QR code _and_ a
paper vaccination record?  Maybe the paper vaccination record has more
chances to be accepted as a proof.

> I’m thinking right now that I should put off getting the booster 
> until the expiration date, whatever it is, is prior to the date I 
> will need for it to be valid. I got the first two doses on the 
> assumption that someone would care, and countries like Austria are 
> already starting to disregard them as “too old”. It all seems a 
> little pointless…

There is a lot of disappointment - me too!  They should have not called
it a vaccine, but rather a tool to fight the disease in a preventive
way.  This is not a 'vaccine' like when we are vaccinated at birth time
against some disease and it lasts a lifetime.  It's not that.  It's
still a good tool, but not as high as touted.

If I were in such a position as you describe I would ask my doctor if I
had one.  I could also my doctor at work too.  However, I must say that
I often ask these kinds of questions to these kinds of doctors and here
I am often redirected to the public measures rather than personal doctor
oppinion, when it comes to covid.  I also sometimes feel that the
doctors want to know more from me than what they can tell me.  Maybe in
other places it is different.

I would not try to take advantage to travel to another country in order
to get a 3rd dose there instead of home.  It becomes possible these
days, it was also possible with the 1-2 doses between some countries in
Balkans a few months ago, but I think it is not good.  If something
wrong happens with that batch number of that 3rd dose the home country
will certainly not take charge of if and redirect the person to the
country who injected that 3rd dose.

One should know that batch numbers were an issue, and people have been
recalled back if they were vaccinated with a certain batch number from a
certain  manufacturer (AZ not to name it).  If a foreigner got it, he
would have not even known the problem of that batch number because he
was not in the country when the problem was discovered.

I am not a doctor, and medicine is not a science.  Follow the public
health advise.

Alex

---

From: Alexandre Petrescu <[email-masked]>
Date: Sat, 20 Nov 2021 12:50:16 +0100

Le 20/11/2021 à 10:43, Olivier MJ Crépin-Leblond a écrit :
> at the pharmacy

What proof did they show to pharmacy?  The California QR code or the USA 
vaccination paper record?

Alex

  and that was it. And this was then valid Europe-wide.

---

From: Alexandre Petrescu <[email-masked]>
Date: Sat, 20 Nov 2021 12:55:24 +0100

Le 20/11/2021 à 03:05, John Levine a écrit :
>> This may be something already answered; if so, I apologize. I have
>> a QR code from the state of California saying I have been
>> immunized twice; I can get a third dose and a QR code for same. Are
>> such QR codes accepted in Europe, or alternatively is there a way
>> to get the needed European certification upon by showing that?
> 
> If the country in question is France, they have an app that uses the
> EU pass.  You can get a pass at a pharmacy in France after arrival by
> showing your passport and your paper (not QR) vaccination record:
> 
>  If you arrive at CDG, there are two pharmacies at the airport that
> can do it.

As far as I can remember from my distant past travels, at CDG and other 
large hubs, the pharmacies are in an area beyond border control.  It 
means that while arriving one would have to pass the border control 
before reaching the pharmacy.

I do not know whether the border control checks the QR codes too, or the 
PCR test proofs.  Or just checks the passport.

If the border control checks the QR codes then there might be a racing 
condition, or a loop.  Check the QR code before obtaining it - is 
impossible.

This kind of paradoxical racing conditions also happened at hospital: 
must check QR code prior to entry to hospital to do a regular illness 
testing which requires to not vaccinate.  It happens and requires manual 
intervention and inter-personal skill to make all happy.  Leeway.

Alex

   For us old folks, a booster is recommended but not
> required.
> R's, John

---

From: Alexandre Petrescu <[email-masked]>
Date: Sat, 20 Nov 2021 12:56:51 +0100

Le 19/11/2021 à 23:04, Toerless Eckert a écrit :
>> thinkh This may be something already answered; if so, I apologize.
>> I have a QR code from the state of California saying I have been
> IETF colleage got his germany QR code by showing his california CDC
> card in a pharmacy in germany.

In California do you have both USA CDC Vaccination Record (paper only 
without QR code) _and_ QR codes (on paper or on smartcard)?

Alex

  I have not found any rueles that state
> whether or not the is currect. Given how all those "original"
> non-digital vaccination cards are not meant to be fraud resistant. So
> i would assume pharmacists will apply a good degree of ad-hoc
> profiling when the hand out the countries digital certificate to
> travellers.
> 
> certificate at that international pharmacy ? Thats certainly an
> interesting option to explore.  In frankfurt, there is a pharmacy in
> the security area Z. Try to give them a call during their opening
> hours and tell us what they say!
> 
> Cheers Toerless
>> little pointless… _______________________________________________

---

From: Olivier MJ Crépin-Leblond <[email-masked]>
Date: Sat, 20 Nov 2021 15:17:08 +0100

On 20/11/2021 12:50, Alexandre Petrescu wrote:
>> What John is saying is absolutely correct. I have had several US 
>> friends come into France telling me exactly this. They downloaded the 
>> French App which worked in English and they then scanned the QR code 
>> they obtained at the pharmacy
>
> What proof did they show to pharmacy?  The California QR code or the 
> USA vaccination paper record? 

Both work. I think much depends on the appreciation of the Pharmacist 
themselves. I guess they might be well aware of information that flags 
anything that looks suspicious, like a fake certificate.
Kindest regards,

Olivier

---

From: Michael Richardson <[email-masked]>
Date: Sat, 20 Nov 2021 10:34:09 -0500

Toerless Eckert <[email-masked]> wrote:
    >> thinkh This may be something already answered; if so, I apologize. I
    >>have a QR code from the state of California saying I have been immunized
    >>twice; I can get a third dose and a QR code for same. Are such QR codes
    >>accepted in Europe, or alternatively is there a way to get the needed
    >>European certification upon by showing that?

    > that state whether or not the is currect.

Based upon reading on thelocal.de, Germany (running) friends, and feedback
from people who travelled from Canada to Germany, France and Czech since June
for such events, this is exactly as expected.

I expect that the converse (German showing certificate to US pharmacy) would
be a non-starter at this point though.   I don't think that there is any
mechanism for European to show their certificate in Ontario (Canada),
although maybe the ArriveCan app produces something.

In Ontario (and Quebec), given that I have to show photo ID along with my
proof in order to dine-in, I haven't figured out what the advantage of the
QRcode (whether on paper or on phone) is actually... I printed my proof
on 2-up, cut off all the excess paper and have a legible paper 7"x4" or so.
I fold it around my driver's license now, since they come in/out together.

    > countries digital certificate to travellers.

Alas, I'm afraid that it does involve profiling.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: John C Klensin <[email-masked]>
Date: Sat, 20 Nov 2021 10:41:55 -0500

--On Saturday, November 20, 2021 10:43 +0100 Olivier MJ
Crépin-Leblond <[email-masked]> wrote:

>...
> 2. rules change on a weekly basis. So what's in effect today
> might not be what's happening next week. As I travel
> extensively for work, I must admit that this uncertainty is
> what is most stressful - because plans might need to change at
> any point and getting flight & hotel reservations
> cancelled/amended is time consuming and sometimes a struggle
> as airlines and hotel groups tell you there is no complete
> lockdown so you end up at a loss... You'd think they are
> flexible, but they are not, unless you pay higher fares to
> start with.

And that, as I indicated in my longer explanation, is why I am
wondering why it is even helpful to have this discussion on an
IETF list supposedly about deciding whether we are going to have
a f2f (or even significantly hybrid) meeting or not.  If we (the
IETF-related powers that be) need to make a decision as to
whether to hold such a meeting, versus staying fully remote,
more than a month in advance and things [continue to] change on
a weekly basis, isn't the only possible decision "no, stay fully
online"?

And, if that reasoning is correct, can this discussion be moved
to some list of interest to international travel generally,
rather than this IETF one?

   john

---

From: Christian Huitema <[email-masked]>
Date: Sat, 20 Nov 2021 12:45:03 -0800

On 11/20/2021 6:17 AM, Olivier MJ Crépin-Leblond wrote:
>>> friends come into France telling me exactly this. They downloaded 
>>> the French App which worked in English and they then scanned the QR 
>>> code they obtained at the pharmacy
>>

The official page 
(https://www.sante.fr/obtenir-un-passe-sanitaire-en-cas-de-vaccination-letranger#p3)states 
that you must present a passport and the paper version of the original 
vaccination certificate. Coming from the US, that would be the CDC card.

Olivier says that the pharmacist may have some leeway, but I would not 
bet too much on that. I would carry the CDC card with my passport.

If you happen to have a valid French passport and live outside France, 
there is a way to obtain the French Covid pass beforehand. Ask your 
local consulate for details. AFAIK, this is strictly reserved to French 
citizens, including dual citizens.

-- Christian Huitema

---

From: Alexandre Petrescu <[email-masked]>
Date: Sun, 21 Nov 2021 14:01:16 +0100

Le 20/11/2021 à 16:34, Michael Richardson a écrit :
>>> thinkh This may be something already answered; if so, I
>>> apologize. I have a QR code from the state of California saying I
>>> have been immunized twice; I can get a third dose and a QR code
>>> for same. Are such QR codes accepted in Europe, or alternatively
>>> is there a way to get the needed European certification upon by
>>> showing that?
> 
>> card in a pharmacy in germany. I have not found any rueles that
>> state whether or not the is currect.
> 
> Based upon reading on thelocal.de, Germany (running) friends, and
> feedback from people who travelled from Canada to Germany, France and
> Czech since June for such events, this is exactly as expected.
> 
> I expect that the converse (German showing certificate to US
> pharmacy) would be a non-starter at this point though.   I don't
> think that there is any mechanism for European to show their
> certificate in Ontario (Canada), although maybe the ArriveCan app
> produces something.
> 
> In Ontario (and Quebec), given that I have to show photo ID along
> with my proof in order to dine-in, I haven't figured out what the
> advantage of the QRcode (whether on paper or on phone) is actually...
> I printed my proof on 2-up, cut off all the excess paper and have a
> legible paper 7"x4" or so.

HAving printed just the proof - the right proof the right QR code - is a
good idea.

For the anecdote, I had a bad experience for a 'dine-in' as you call it.
  My companion presented the full paper but there are two QR codes on it:
one representing the covid cert and another one is a computer science
link to another app.  The verifier scanned the wrong QR code.  The
result was 'Invalid' - she showed that to us and said 'sorry'.  This is
a bad situation for everybody, when it happens.

Inconvenience at small scale is very bad at large scale .  They might
upset people.

We should not organize meetings which might upset people.

Alex

>> "original" non-digital vaccination cards are not meant to be fraud
>> resistant. So i would assume pharmacists will apply a good degree
>> of ad-hoc profiling when the hand out the countries digital
>> certificate to travellers.
> 
> -- Michael Richardson <[email-masked]>   . o O ( IPv6 IøT
> consulting ) Sandelman Software Works Inc, Ottawa and Worldwide
> 
> 
> 
> 
>

---

From: Alexandre Petrescu <[email-masked]>
Date: Mon, 22 Nov 2021 11:19:38 +0100

Hi, John,

Le 20/11/2021 à 16:41, John C Klensin a écrit :
>> ... 2. rules change on a weekly basis. So what's in effect today 
>> might not be what's happening next week. As I travel extensively 
>> for work, I must admit that this uncertainty is what is most 
>> stressful - because plans might need to change at any point and 
>> getting flight & hotel reservations cancelled/amended is time 
>> consuming and sometimes a struggle as airlines and hotel groups 
>> tell you there is no complete lockdown so you end up at a loss... 
>> You'd think they are flexible, but they are not, unless you pay 
>> higher fares to start with.
> 
> wondering why it is even helpful to have this discussion

I think this discussion about details of QR codes illustrates clearly
that the access itself to a presumably in-person IETF meeting organized
these months is a headache.  Vaccine compatibility, acceptability of
access control mandates and interoperability between apps are just a few
of the problems.

The major hurdle in planning is in the speed at which high-level
decisions are made and enforced to wide scale of populations.  We never
went through such fast changes before, as far as I can remember, aged
above 40 as I am.  I do remember many changes but often they impacted
smaller than today's impacted populations, even though large.

> on an IETF list supposedly about deciding whether we are going to 
> have a f2f (or even significantly hybrid) meeting or not.

Yes, the Charter proposal suggests we consider also the 'hybrid' kind
which has an in-person part of the meeting.

As part of that, indeed, we can discuss whether or not we are going to
have a f2f meeting or not.

The next date is in March.

For my part, I think March in Europe is not good for an in-person
meeting under the current trust conditions and covid situations and
500persons.

Were it to be an in-person meeting in March, in a place to be selected,
between a dozen people travelling by small jet planes (confirming the
IESG-WG trust structure), then I might change my oppinion.

> If we (the IETF-related powers that be) need to make a decision as
> to whether to hold such a meeting, versus staying fully remote, more 
> than a month in advance and things [continue to] change on a weekly 
> basis, isn't the only possible decision "no, stay fully online"?

Yes, I agree: stay fully online for March.

As discussion, these are additional points:

If the IETF decision making were fast enough to plan for a meeting in a
3-week horizon, then we could plan today something like this: meet 15
IESG persons in Vienna on Dec. 15th travel by small jet.  Dec. 15th is
just out of lockdown in Austria (viruses are at hospital) and travel in
small plane is safe, even though expensive.

If such nimble decision making is not possible at IETF, then the only
possibility left is to make longer plans in several years time: cancel
all in-person parts of hybrid meetings since now until 3years, with a
commitment to have a consensus for an in-person meeting in 3 year time
planned accordingly.

> And, if that reasoning is correct, can this discussion be moved to 
> some list of interest to international travel generally, rather than 
> this IETF one?

It is true that international travel generally is a better topic of
discussion than what was discussed here.

But, this kind of discussion is also held on IETF lists: the attendees
lists.  Theses discussions are held during the meeting itself - how to
arrive, what transportation to take, and so on.  However, nowadays with
mostly  online meetings one might expect these 'attendees' list
discussions to happen continually - a continuous perpetual IETF meeting
might be already happening online.

WE could also try to frame some of the results of discussions into I-Ds.

Alex

---

From: Alexandre Petrescu <[email-masked]>
Date: Mon, 29 Nov 2021 13:40:13 +0100

There are a few URLs now where one can try to scan her or his QR code 
against EU-style QR codes, including information security verification:

https://app.digitalcovidcertchecker.gov.ie/

(there are more)

Alex

Le 19/11/2021 à 21:05, Fred Baker a écrit :
> twice; I can get a third dose and a QR code for same. Are such QR
> codes accepted in Europe, or alternatively is there a way to get the

---

From: John C Klensin <[email-masked]>
Date: Mon, 29 Nov 2021 10:03:06 -0500

--On Monday, November 29, 2021 13:40 +0100 Alexandre Petrescu
<[email-masked]> wrote:

> There are a few URLs now where one can try to scan her or his
> QR code against EU-style QR codes, including information
> security verification:
> 

Alex,

And between when Fred posted his note and when you posted yours,
we have seen a dramatic demonstration of just the point several
of us have been trying to make.  In under a week, a new variant
with multiple mutations was noticed/announced, they WHO
designated it "Omicron", and many countries and regions
announced travel restrictions and new testing and quarantine
restrictions effective very soon after the announcements.  

Could that have been predicted even two or three weeks ago?  In
a way, yes.  But certainly not whether the outbreak would occur
last week or sometime in the middle of 2022.  If this had
occurred in the first week of March rather than the last part of
November and participants had planned to come to Europe from
Southern Africa, Israel, or anywhere that might make the "no
travelers from there" list in the subsequent week, would it have
made a bit of difference who could accept and use someone else's
certification and with what technology?  Nope -- if one cannot
get into the country in which a meeting is supposed to be held
because of where one lives or what passport one holds,
vaccination status does not make any difference at all.  

Conclusion: The situation is completely unpredictable in the
time frames that we need to confidently schedule a meeting, for
people who need it to schedule travel, to buy minimal cost
airplane tickets, etc.  If it takes us six weeks or two months
(wild guesses, not the current documents) to take a meeting
completely online after planning it for in-person or hybrid and
it takes under two weeks for travel and national entry
conditions to change dramatically... I don't see how we can make
a plan with any confidence other than "stay online".  And,
again, who recognizes whose vaccine certificates and how is
irrelevant to that shift in circumstances as is predicting the
situation a few months ahead based on what we think we know
today.

    john

---

From: Ted Hardie <[email-masked]>
Date: Mon, 29 Nov 2021 15:59:49 +0000

Hi John,

Snipping to the point where I think we disagree:

On Mon, Nov 29, 2021 at 3:03 PM John C Klensin <[email-masked]> wrote:

> time frames that we need to confidently schedule a meeting,
>
>
I think this conclusion would be true if worded as "at 2 months out, the
ability of any specific individual to attend a specific meeting is
unpredictable".

But I think the situation as a whole is more predictable, if possibly
depressingly so.  For the foreseeable future, some set of potential
attendees will likely be impacted in their travel for any potential
destination.  The exact set of attendees is not completely predictable, but
is likely to be roughly:  the farther you are from the destination, the
worse your chances are going to be.  From the IETF's perspective, the basic
question is whether a hybrid meeting can succeed with the number of people
within the travel-is-still-reasonable perimeter plus the number of people
who will attend remotely.

>From an individual perspective, the good news is that if you set aside the
time to participate and don't travel, you still largely have the right
amount of time set aside to participate remotely.  The bad news is that you
have to take greater care with arrangements to ensure that you can cancel
if the situation changes.  But if we are planning for hybrid meetings, you
are not excluded by bad tidings like this, you are changing categories.

The size of the perimeter does change with events,  sometimes in ways
unrelated to the public health measures really needed.  We have to
acknowledge that.  But we also have to be aware that there are limits that
effect.

regards,

Ted

---

From: "Salz, Rich" <[email-masked]>
Date: Mon, 29 Nov 2021 16:02:55 +0000

➢ I think this conclusion would be true if worded as "at 2 months out, the ability of any specific individual to attend a specific meeting is unpredictable".  
...
➢ But I think the situation as a whole is more predictable, if possibly depressingly so

Very well put!

---

From: Alexandre Petrescu <[email-masked]>
Date: Mon, 29 Nov 2021 19:27:19 +0100

Le 29/11/2021 à 16:03, John C Klensin a écrit :
> a plan with any confidence other than "stay online".

I agree.

This omicron, to be confirmed, came as such a surprise that any plan for 
even a very short term (e.g. meet on Dec. 15th in Vienna because it 
would be just out of lockdown) is to be invalidated.

Some things seem to repeat (waves), but this risk of immediate close of 
frontiers can invalidate any plan independent if it is on the immediate 
or in the longer term.

Still, there must exist some way to be able to develop a plan.

Alex

   And,

---

From: Fred Baker <[email-masked]>
Date: Mon, 29 Nov 2021 11:28:55 -0800

> On Nov 20, 2021, at 7:34 AM, Michael Richardson <[email-masked]> wrote:
> 
> “I expect that the converse (German showing certificate to US pharmacy) would
> be a non-starter at this point though.”

Germany? What state is that in?

He ducks…

---

From: John C Klensin <[email-masked]>
Date: Mon, 29 Nov 2021 15:03:22 -0500

Ted,

I'm not even sure we disagree, so let me pursue this a step
further.

--On Monday, November 29, 2021 15:59 +0000 Ted Hardie
<[email-masked]> wrote:

> I think this conclusion would be true if worded as "at 2
> months out, the ability of any specific individual to attend a
> specific meeting is unpredictable".
> 
> But I think the situation as a whole is more predictable, if
> possibly depressingly so.  For the foreseeable future, some
> set of potential attendees will likely be impacted in their
> travel for any potential destination.  The exact set of
> attendees is not completely predictable, but is likely to be
> roughly:  the farther you are from the destination, the worse
> your chances are going to be.  From the IETF's perspective,
> the basic question is whether a hybrid meeting can succeed
> with the number of people within the
> travel-is-still-reasonable perimeter plus the number of people

First, if I look at today's "where has Omicron been detected"
maps and remember that travel bans (whether governmental or
corporate) as a way of preventing COVID spread seem to have much
more to do with political decisions than scientific/medical
ones, one can imagine another set of bans at the US-Canada
border such that those who had planned to attend a meeting in
one of those countries from the other would be just as affected
as someone planning to come from Europe, Asia, or somewhere in
the global south.  Similarly, while, all other things being
equal, Amsterdam would have appeared to be a plausible location
for a European meeting two weeks ago, it wouldn't look so good
today, even for travelers from within Europe.

> From an individual perspective, the good news is that if you
> set aside the time to participate and don't travel, you still
> largely have the right amount of time set aside to participate
> remotely.  The bad news is that you have to take greater care
> with arrangements to ensure that you can cancel if the
> situation changes.  But if we are planning for hybrid
> meetings, you are not excluded by bad tidings like this, you
> are changing categories.

Agreed, although there is one issue I don't think we have really
discussed.  Suppose your hypothesis about distance is correct
and we discover that at least medium-term, f2f attendees at a
meeting are predominantly from the region of that meeting.  Not
just "we get more people f2f at a meeting when it is in their
region", which I think describes past history, but "few people
from outside the region show up".   Were that to turn out to be
the pattern for several meetings in a row, we wouldn't be so
much doing hybrid global meetings but rotating regional meetings
with participants from outside the region (however defined)
participating mostly remotely.   From a logistical standpoint,
probably not much different from an "ordinary" hybrid one but I
think it would call for some rethinking about how we do things
and why we do them that way, including the notion that has been
brought up before of doing parallel f2f regional meetings and
linking the meetings, not just individuals, together over the
net. I, personally, am not convinced that is workable, but I've
been wrong before.

> The size of the perimeter does change with events,  sometimes
> in ways unrelated to the public health measures really needed.
> We have to acknowledge that.  But we also have to be aware
> that there are limits that effect.

Yes.

And, btw, the main reason for my posting was not to open up the
above group of topics but rather to try to point out what looks
to me like the futility of concentrating on how vaccine
certification is working in various countries and with evolving
technologies, as if it were the, or even a, key issue.

best,
   john

---

From: Ted Hardie <[email-masked]>
Date: Tue, 30 Nov 2021 13:30:30 +0000

Hi John,

On Mon, Nov 29, 2021 at 8:03 PM John C Klensin <[email-masked]> wrote:

> participating mostly remotely.

Whether this is better or worse than virtual-only depends (at least in my
view) on how well remote attendance works in these meetings.  I think that
is true whether the set of remote attendees is regional or not, but that
having a quasi-regional character might actually be better, as it means the
pain of not being present will eventually be distributed across the whole
set of participants.  People are more likely to work for good experiences
for remote attendees if they expect to be in those shoes themselves.

>  From a logistical standpoint,

It's still, unfortunately, a key issue because how easy it is to
demonstrate you meet the local criteria for attendance is part of what
determines the perimeter size.

regards,

Ted Hardie

---

From: Toerless Eckert <[email-masked]>
Date: Tue, 30 Nov 2021 17:17:11 +0100

My fundamental problem with manycouches and the challenges ahead for us is that
tooling/processes for hybrid meetings was explicitly not included into the charter
of shmoo, but IMHO that is exctly the most important thing we could and should
discuss (and which is why i wanted those aspects to also be in shmoo charter):

As long as we have no in-person part in our meetings, i think we're doing quite fine
with how we've set up to operate now. When we do start hybrid, IMHO all bets are
off. Does not matter IMHO if its 113 or 114, but whenever we start we should expect
it to be MORE hybrid than it was hybrid before corona. And i have not even seen
an attempt at agreeing on a priority list of what we need to fix up from pre-corona
times to better support more hybrid for its core aspects.

I did mention in before, that i think WG/RG in-room logistics with microphone line has
been the most irritating with remote participants, as well as no-microphone
call-ins from the in-room participants. I did mention that other organizations
have set ups for 'each-in-room-paticipant-uses-own-microphone'. I think with
our technologies todays this would be easily possible to at least experiment with
through fixups to meetecho, and every in-person participant running her/his own
notebook. - Just as a proposal to discuss.

Cheers
    Toerless